Skip to main content
Use these operations to interact with the AWS integration in Cortex.

Required permissions

Your API key must have the Configure integrations permission.

Operations

List AWS types

GET /api/v1/aws/types

Retrieve a configuration

GET /api/v1/aws/configurations/{accountId}

Retrieve configurations

GET /api/v1/aws/configurations

Add a single configuration

POST /api/v1/aws/configurations

Validate all configurations

POST /api/v1/aws/configurations/all/validate

Validate a configuration

POST /api/v1/aws/configurations/validate/{accountId}

Update configurations

PUT /api/v1/aws/configurations

Update configured AWS types

PUT /api/v1/aws/types

Delete all configurations

DELETE /api/v1/aws/configurations

Delete a configuration

DELETE /api/v1/aws/configurations/{accountId}

Get AWS resource details for an entity

GET /api/v1/catalog/{tagOrId}/aws
Last modified on September 24, 2026